Templates
Remap template fields to submitters
Safely remap submitter_uuid for specific fields without replacing the entire template schema.
Supports dry_run mode for previewing validation and change count before writing.
POST
/
api
/
templates
/
{id}
/
remap_submitters
Remap template fields to submitters
curl --request POST \
--url https://spitshake.io/api/templates/{id}/remap_submitters \
--header 'Content-Type: application/json' \
--header 'X-Auth-Token: <api-key>' \
--data '
{
"field_assignments": [
{
"field_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"dry_run": false,
"required_signature_submitter_uuids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://spitshake.io/api/templates/{id}/remap_submitters"
payload = {
"field_assignments": [
{
"field_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"dry_run": False,
"required_signature_submitter_uuids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
headers = {
"X-Auth-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Auth-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
field_assignments: [
{
field_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
submitter_uuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
],
dry_run: false,
required_signature_submitter_uuids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']
})
};
fetch('https://spitshake.io/api/templates/{id}/remap_submitters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_name": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>",
"field_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_name": "<string>"
}
],
"summary": {
"total_fields": 123,
"total_submitters": 123,
"assignment_count": 123,
"submitters": [
{
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_name": "<string>",
"field_count": 123,
"signature_field_count": 123
}
]
},
"dry_run": true,
"updated": true,
"changed_field_count": 123,
"template": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"external_id": "<string>",
"folder_name": "<string>",
"source": "<string>",
"shared": true,
"download_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"schema": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "text",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"readonly": true,
"key": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"pattern": "<string>",
"validation": "ssn",
"options": [
"<string>"
],
"formula": "<string>",
"areas": [
{
"x": 23.07,
"y": 20.35,
"w": 25,
"h": 5,
"page": 1,
"attachment_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"preferences": {}
}
],
"submitters": [
{
"name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"preferences": {
"display_title": "Acme Legal Retainer",
"logo_url": "<string>",
"company_name": "<string>",
"favicon_url": "<string>",
"primary_button_color": "#2f5d8a",
"header_color": "#14213d",
"show_branding": true,
"brand_id": 7,
"custom_domain": "sign.example.com",
"signing_nav_style": "standard"
},
"documents": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"page_count": 123,
"page_dimensions": [
{
"width": 123,
"height": 123
}
],
"url": "<string>"
}
]
}
}{
"valid": true,
"errors": [
{
"code": "<string>",
"message": "<string>",
"field_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_name": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"message": "<string>",
"field_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_name": "<string>"
}
],
"summary": {
"total_fields": 123,
"total_submitters": 123,
"assignment_count": 123,
"submitters": [
{
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submitter_name": "<string>",
"field_count": 123,
"signature_field_count": 123
}
]
},
"dry_run": true,
"updated": true,
"changed_field_count": 123,
"template": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"external_id": "<string>",
"folder_name": "<string>",
"source": "<string>",
"shared": true,
"download_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"schema": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "text",
"submitter_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"required": true,
"readonly": true,
"key": "<string>",
"default_value": "<string>",
"placeholder": "<string>",
"pattern": "<string>",
"validation": "ssn",
"options": [
"<string>"
],
"formula": "<string>",
"areas": [
{
"x": 23.07,
"y": 20.35,
"w": 25,
"h": 5,
"page": 1,
"attachment_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"preferences": {}
}
],
"submitters": [
{
"name": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"preferences": {
"display_title": "Acme Legal Retainer",
"logo_url": "<string>",
"company_name": "<string>",
"favicon_url": "<string>",
"primary_button_color": "#2f5d8a",
"header_color": "#14213d",
"show_branding": true,
"brand_id": 7,
"custom_domain": "sign.example.com",
"signing_nav_style": "standard"
},
"documents": [
{
"id": 123,
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"page_count": 123,
"page_dimensions": [
{
"width": 123,
"height": 123
}
],
"url": "<string>"
}
]
}
}Authorizations
ApiTokenSessionCookie
API token generated at Settings > API
Path Parameters
Body
application/json
⌘I
Remap template fields to submitters

